{% extends 'index.html' %}

{% block title %} <title>Topics create</title> {% endblock %}

{% block content1 %}

<div class="link-body">
    <div class="create-header">
        <h4>Create a new topic</h4>
    </div>
    <div class="inner-form">
        <div class="wrapp-group">
            <form action="" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group">
                    {{ form.name.label_tag }}
                    {{ form.name }}
                </div>
                <div id="create-gr">
                    <div class="form-group">
                        {{ form.brief_description.label_tag }}
                        {{ form.brief_description}}
                    </div>
                </div>
                <div class="bottom-form">
                    <button type="submit" id="id_link_submit" class="btn btn-primary">Create</button>
                    <a href="{% url 'topics' %}">
                        <button type="button" class="btn btn-secondary">Back to the main page</button>
                    </a>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
       let title = document.getElementById("id_name");
    title.classList.add("form-control");
    let description = document.getElementById("id_brief_description");
    description.classList.add("form-control");
    let group = document.getElementById("create-gr");
    group.style.marginTop = "30px";
    console.log(group);
    let arr = [name, description];
    for(i=0; i<arr.length; i++){
        arr[i].style.marginBottom = "25px";
    }




</script>
{% endblock %}
